/**
 * @file Motion.h
 * @author Jonathan Schulze, Nick Hübenthal
 * @brief This component controls the ability to rotate and change position. 
 * @version 0.1
 * @date 2023-12-13
 * 
 * @copyright Copyright (c) 2023
 * 
 */

#ifndef Motion_h
#define Motion_h

class Motion{
protected:

public:
    Motion();

    /**
     * @brief Initialize the movement component.
     * 
    */
    void begin(void);

    /**
     * @brief Move forward for a certain amount of time.
     * @param moveForMs Representing the duration of forward moving in milliseconds.
    */
    void move(uint8_t moveForMs);

    /**
     * @brief Rotate left for a certain amount of time.
     * @param rotateForMs Representing the duration of rotating left in milliseconds.
    */
    void rotateLeft(uint8_t rotateForMs);

    /**
     * @brief Rotate right for a certain amount of time.
     * @param rotateForMs Representing the duration of rotating right in milliseconds.
    */
    void rotateRight(uint8_t rotateForMs);

};
#endif //Motion_h